package plugin

import (
	"code.fbi.h-da.de/danet/gosdn/controller/store"
	"github.com/google/uuid"
)

// Service describes an interface for plugin service implementations.
type Service interface {
	Add(Plugin) error
	Delete(Plugin) error
	Get(store.Query) (Plugin, error)
	GetAll() ([]Plugin, error)
	RequestPlugin(uuid.UUID) (Plugin, error)
}
